"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Passphrase = void 0;
const react_1 = __importStar(require("react"));
const compass_components_1 = require("@mongodb-js/compass-components");
const passphraseInputStyles = (0, compass_components_1.css)({
    display: 'flex',
    alignItems: 'center',
    gap: compass_components_1.spacing[100],
});
function Passphrase({ label, description, required, value, accepted, disabled, onChange, }) {
    const onChangePassphrase = (0, react_1.useCallback)(({ target: { value: passphrase }, }) => {
        onChange(passphrase);
    }, [onChange]);
    const displayLabel = (react_1.default.createElement("span", { className: passphraseInputStyles },
        label,
        " ",
        accepted && react_1.default.createElement(compass_components_1.Icon, { glyph: "CheckmarkWithCircle" })));
    return (react_1.default.createElement(compass_components_1.TextInput, { description: description, disabled: disabled || accepted, onChange: onChangePassphrase, label: displayLabel, type: "password", "data-testid": "conn-import-export-passphrase-input", value: value, errorMessage: required && !value ? 'Passphrase required' : undefined, state: required && !value ? 'error' : undefined, optional: !required }));
}
exports.Passphrase = Passphrase;
//# sourceMappingURL=passphrase.js.map